package com.nisum.service;

import com.nisum.dao.Dao;
import com.nisum.dto.EmployeeDto;
import com.nisum.model.Employee;
import com.nisum.model.impl.EmployeeImp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;

import java.util.Collection;

@Service
public class EmployeeService {

  @Autowired
  @Qualifier(value = "EmployeeDao")
  private Dao employeeDao;

  public Collection<EmployeeImp> getAllEmployees() {
    return employeeDao.getAll();
  }

  public void createEmployee(EmployeeDto employeeDto) {
  }
}
