package com.nisum.dto;

/*
       DTOs are data transfer objects. These are used as instances/containers for moving an object around in an application

        ** this DTO allows an employee object to be created that can be inserted into a database (using DAO) or pulled from
        a database into the application runtime itself. These DTO objects then work as regular java objects

 */


public class EmployeeDto {
    String firstName;
    String lastName;
    String jobTitle;
    public String getFirstName() {
        return firstName;
    }
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }
    public String getLastName() {
        return lastName;
    }
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }
    public String getJobTitle() {
        return jobTitle;
    }
    public void setJobTitle(String jobTitle) {
        this.jobTitle = jobTitle;
    }
}
